## plasma-pa 6.4.5

=== src/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"kcm_pulseaudio\")

ecm_add_qml_module(plasma-volume-declarative URI org.kde.plasma.private.volume)

set(CMAKE_CXX_VISIBILITY_PRESET default)

set(plasma-volume_SRCS
    modulemanager.cpp modulemanager.h
    volumemonitor.cpp volumemonitor.h
    canberracontext.cpp canberracontext.h
    speakertest.cpp speakertest.h
    gsettingsitem.cpp gsettingsitem.h
    soundthemeconfig.cpp soundthemeconfig.h
    volumefeedback.cpp volumefeedback.h
    audioicon.cpp audioicon.h
    preferreddevice.cpp preferreddevice.h
    devicerenamemodel.cpp devicerenamemodel.h
    devicerenamesaver.cpp devicerenamesaver.h
    percentvalidator.cpp percentvalidator.h
)

ecm_qt_declare_logging_category(plasma-volume_SRCS HEADER debug.h IDENTIFIER PLASMAPA
	CATEGORY_NAME log_plasmapa DESCRIPTION "Plasma pa" EXPORT PLASMAPA)

add_library(plasma-volume
    ${plasma-volume_SRCS}
)

set_target_properties(plasma-volume PROPERTIES
                      VERSION ${PROJECT_VERSION}
                      SOVERSION ${PROJECT_VERSION_MAJOR}
                      EXPORT_NAME LibPlasmaVolume)

target_sources(plasma-volume-declarative PRIVATE
    ${plasma-volume_SRCS}
    qml/listitemmenu.cpp qml/listitemmenu.h
    qml/plugin.cpp qml/plugin.h
    qml/microphoneindicator.cpp qml/microphoneindicator.h
    qml/globalservice.cpp qml/globalservice.h
)

ecm_target_qml_sources(plasma-volume-declarative VERSION 0.1 SOURCES
    qml/PulseObjectFilterModel.qml
)

set_property(SOURCE dbus/osdService.xml APPEND PROPERTY CLASSNAME OsdServiceInterface)
qt_add_dbus_interface(dbus_SRCS dbus/osdService.xml osdservice)

ecm_generate_export_header(plasma-volume-declarative
    BASE_NAME PulseAudioQt
    GROUP_BASE_NAME KF
    VERSION ${PROJECT_VERSION}
)

target_sources(plasma-volume-declarative PRIVATE ${dbus_SRCS})
target_sources(plasma-volume PRIVATE ${dbus_SRCS})

kconfig_add_kcfg_files(plasma-volume-declarative GENERATE_MOC globalconfig.kcfgc)
kconfig_add_kcfg_files(plasma-volume GENERATE_MOC globalconfig.kcfgc)

target_link_libraries(plasma-volume-declarative PRIVATE
    Qt::Core
    Qt::Gui
    Qt::DBus
    Qt::Quick
    Qt::Widgets
    KF6::GlobalAccel
    KF6::I18n
    KF6::StatusNotifierItem
    KF6::ConfigCore
    KF6::ConfigGui
    KF6::CoreAddons
    KF6::PulseAudioQt
    Canberra::Canberra
    PkgConfig::LIBPULSE
    PkgConfig::LIBPULSE_MAINLOOP
    PkgConfig::GIO
)

target_link_libraries(plasma-volume PRIVATE
    Qt::Core
    Qt::Gui
    Qt::DBus
    Qt::Quick
    Qt::Widgets
    KF6::GlobalAccel
    KF6::I18n
    KF6::StatusNotifierItem
    KF6::ConfigCore
    KF6::ConfigGui
    KF6::CoreAddons
    KF6::PulseAudioQt
    Canberra::Canberra
    PkgConfig::LIBPULSE
    PkgConfig::LIBPULSE_MAINLOOP
    PkgConfig::GIO
)

ecm_finalize_qml_module(plasma-volume-declarative)
install(TARGETS plasma-volume ${KDE_INSTALL_TARGETS_DEFAULT_ARGS} LIBRARY NAMELINK_SKIP)

add_subdirectory(kcm)
add_subdirectory(kded)

ecm_qt_install_logging_categories(EXPORT PLASMAPA FILE plasmapa.categories DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR})

=== debian/changelog ===
plasma-pa (4:6.4.5-0ubuntu1) questing; urgency=medium

  * New upstream release (6.4.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 09 Sep 2025 17:03:47 +0100

=== debian/control ===
Source: plasma-pa
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
           Scarlett Moore <sgmoore@kde.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               extra-cmake-modules (>= 6.14.0~),
               gettext,
               libcanberra-dev,
               libglib2.0-dev,
               libkf6config-dev (>= 6.14.0~),
               libkf6coreaddons-dev (>= 6.14.0~),
               libkf6dbusaddons-dev (>= 6.14.0~),
               libkf6declarative-dev (>= 6.14.0~),
               libkf6doctools-dev (>= 6.14.0~),
               libkf6globalaccel-dev (>= 6.14.0~),
               libkf6i18n-dev (>= 6.14.0~),
               libkf6kcmutils-dev (>= 6.14.0~),
               libkf6pulseaudioqt-dev (>= 1.6.0~),
               libkf6statusnotifieritem-dev (>= 6.14.0~),
               libkf6svg-dev (>= 6.14.0~),
               libkirigami-dev (>= 6.14.0~),
               libplasma-dev (>= 6.4.5~),
               libpulse-dev (>= 5.0.0~),
               libxkbcommon-dev,
               pkgconf,
               qt6-base-dev (>= 6.8.0~),
               qt6-declarative-dev (>= 6.8.0~),
               qt6-declarative-private-dev (>= 6.8.0~),
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/plasma/plasma-pa
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-pa
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-pa
Rules-Requires-Root: no

Package: plasma-pa
Architecture: any
Depends: pipewire-pulse | pulseaudio,
         plasma-desktoptheme,
         qml6-module-org-kde-config (>= 6.14.0~),
         qml6-module-org-kde-coreaddons,
         qml6-module-org-kde-kcmutils (>= 6.14.0~),
         qml6-module-org-kde-kirigami (>= 6.14.0~),
         qml6-module-org-kde-kirigamiaddons-components,
         qml6-module-org-kde-kitemmodels,
         qml6-module-org-kde-kquickcontrolsaddons (>= 6.14.0~),
         qml6-module-org-kde-ksvg,
         qml6-module-qtquick,
         qml6-module-qtquick-controls,
         qml6-module-qtquick-layouts,
         qml6-module-qtquick-templates,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: libcanberra-pulse,
            pipewire-pulse | pulseaudio-module-gsettings,
            sound-theme-freedesktop,
Description: Plasma 6 Volume controller
 Plasma applet for audio volume management using
 PulseAudio.

## plasma-pa 6.4.5+p24.04+vstable+git20250928.0635

=== debian/changelog ===
plasma-pa (4:6.4.5+p24.04+vstable+git20250928.0635-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 28 Sep 2025 06:35:21 +0000

plasma-pa (4:6.4.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 Sep 2025 04:36:58 +0000

plasma-pa (4:6.4.4-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Aug 2025 22:21:42 +0000

## plasma-pa 6.4.5+p24.04+vstable+git20251004.0506

=== debian/changelog ===
plasma-pa (4:6.4.5+p24.04+vstable+git20251004.0506-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 04 Oct 2025 05:06:07 +0000

## plasma-pa 6.4.91

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

project(plasma-volume-control)

set(PROJECT_VERSION "6.4.91")
set(PROJECT_VERSION_MAJOR 6)

set(PROJECT_DEP_VERSION "6.4.91")
set(QT_MIN_VERSION "6.9.0")
set(KF6_MIN_VERSION "6.18.0")
set(KDE_COMPILERSETTINGS_LEVEL "5.82")

set(CMAKE_CXX_STANDARD 20)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

option(BUILD_DOC "Whether to build the documentation" ON)

find_package(ECM ${KF6_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake/ ${ECM_MODULE_PATH})

add_definitions(-DTRANSLATION_DOMAIN=\"kcm_pulseaudio\" -DQT_NO_KEYWORDS)
include(FeatureSummary)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(KDEClangFormat)
include(KDEGitCommitHooks)
include(ECMSetupVersion)
include(ECMOptionalAddSubdirectory)
include(FindPkgConfig)
include(ECMDeprecationSettings)
include(ECMQmlModule)
include(ECMGenerateExportHeader)
include(ECMQtDeclareLoggingCategory)

ecm_setup_version(${PROJECT_VERSION}
    VARIABLE_PREFIX PLASMAPA
    VERSION_HEADER ${CMAKE_BINARY_DIR}/version.h)

find_package(Qt6 ${QT_MIN_VERSION} REQUIRED COMPONENTS
    Core
    Gui
    DBus
    Quick
    Widgets
)
find_package(KF6 ${KF6_MIN_VERSION} REQUIRED COMPONENTS
    Config
    CoreAddons
    Declarative
    GlobalAccel
    StatusNotifierItem
    I18n
    KCMUtils
    Svg
    DBusAddons
)

find_package(Plasma ${PROJECT_DEP_VERSION} REQUIRED)

find_package(Canberra REQUIRED)
find_package(KF6PulseAudioQt 1.6.0 REQUIRED)

pkg_check_modules(LIBPULSE libpulse REQUIRED IMPORTED_TARGET)
pkg_check_modules(LIBPULSE_MAINLOOP libpulse-mainloop-glib REQUIRED IMPORTED_TARGET)

pkg_check_modules(GIO gio-2.0 REQUIRED IMPORTED_TARGET)

find_package(CanberraPulse)
set_package_properties(CanberraPulse PROPERTIES
    DESCRIPTION "Pulseaudio backend for libcanberra"
    PURPOSE "Required for volume feedback sounds"
    TYPE RUNTIME
)

find_package(SoundThemeFreedesktop)
set_package_properties(SoundThemeFreedesktop PROPERTIES
    DESCRIPTION "The standard freedesktop sound theme"
    PURPOSE "Required for volume feedback sounds"
    URL "https://www.freedesktop.org/wiki/Specifications/sound-theme-spec/"
    TYPE RUNTIME
)

find_package(KF6Kirigami ${KF6_MIN_VERSION} CONFIG)
set_package_properties(KF6Kirigami PROPERTIES
    DESCRIPTION "A QtQuick based components set"
    PURPOSE "Required at runtime the KCM"
    TYPE RUNTIME
)

find_package(KirigamiAddons CONFIG)
set_package_properties(KirigamiAddons PROPERTIES
    DESCRIPTION "Extra controls for Kirigami applications"
    PURPOSE "Required at runtime for the KCM"
    TYPE RUNTIME
)

find_package(KItemModels CONFIG)
set_package_properties(KItemModels PROPERTIES
    DESCRIPTION "Set of item models extending the Qt model-view framework"
    PURPOSE "Required at runtime for the KCM and applet"
    TYPE RUNTIME
)

if (BUILD_DOC)
    find_package(KF6DocTools ${KF6_MIN_VERSION})
    set_package_properties(KF6DocTools PROPERTIES
        DESCRIPTION "Tools to generate documentation"
        TYPE REQUIRED
    )
endif()

ecm_set_disabled_deprecation_versions(QT 6.9.0
    KF 6.16.0
)

add_subdirectory(autotests)
add_subdirectory(applet)
add_subdirectory(src)
add_subdirectory(appiumtests)

# add clang-format target for all our real source files
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

if (BUILD_DOC)
    add_subdirectory(doc)
    kdoctools_install(po)
endif()

ki18n_install(po)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== src/kcm/CMakeLists.txt ===
kcmutils_add_qml_kcm(kcm_pulseaudio SOURCES module.cpp)
target_link_libraries(kcm_pulseaudio PRIVATE
    Qt::Quick
    KF6::CoreAddons
    KF6::KCMUtilsQuick
)

=== src/kded/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 Bharadwaj Raju <bharadwaj.raju777@protonmail.com>
# SPDX-License-Identifier: LGPL-2.1-only OR LGPL-3.0-only OR LicenseRef-KDE-Accepted-LGPL

include_directories (${CMAKE_CURRENT_BINARY_DIR}/..)

kcoreaddons_add_plugin(audioshortcutsservice
    SOURCES
        audioshortcutsservice.cpp
        audioshortcutsservice.h
        mutedmicrophonereminder.cpp
        mutedmicrophonereminder.h
    INSTALL_NAMESPACE
        "kf6/kded")

target_link_libraries(audioshortcutsservice
                        plasma-volume
                        Qt6::DBus
                        KF6::CoreAddons
                        KF6::GlobalAccel
                        KF6::I18n
                        KF6::ConfigCore
                        KF6::ConfigGui
                        KF6::DBusAddons
                        KF6::PulseAudioQt
                        PkgConfig::LIBPULSE
                        PkgConfig::LIBPULSE_MAINLOOP)

=== debian/changelog ===
plasma-pa (4:6.4.91-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.4.91).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 07 Oct 2025 20:12:22 +0200

=== debian/control ===
Source: plasma-pa
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
           Scarlett Moore <sgmoore@kde.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.18.0~),
               gettext,
               libcanberra-dev,
               libglib2.0-dev,
               libkf6config-dev (>= 6.18.0~),
               libkf6coreaddons-dev (>= 6.18.0~),
               libkf6dbusaddons-dev (>= 6.18.0~),
               libkf6declarative-dev (>= 6.18.0~),
               libkf6doctools-dev (>= 6.18.0~),
               libkf6globalaccel-dev (>= 6.18.0~),
               libkf6i18n-dev (>= 6.18.0~),
               libkf6kcmutils-dev (>= 6.18.0~),
               libkf6pulseaudioqt-dev (>= 1.6.0~),
               libkf6statusnotifieritem-dev (>= 6.18.0~),
               libkf6svg-dev (>= 6.18.0~),
               libkirigami-dev (>= 6.18.0~),
               libplasma-dev (>= 6.4.91~),
               libpulse-dev (>= 5.0.0~),
               libxkbcommon-dev,
               pkgconf,
               qt6-base-dev (>= 6.9.0~),
               qt6-declarative-dev (>= 6.9.0~),
               qt6-declarative-private-dev,
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/plasma/plasma-pa
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/plasma-pa
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/plasma-pa.git
Rules-Requires-Root: no

Package: plasma-pa
Architecture: any
Depends: pipewire-pulse | pulseaudio,
         plasma-desktoptheme,
         qml6-module-org-kde-config,
         qml6-module-org-kde-coreaddons,
         qml6-module-org-kde-kcmutils,
         qml6-module-org-kde-kirigami,
         qml6-module-org-kde-kirigamiaddons-components,
         qml6-module-org-kde-kitemmodels,
         qml6-module-org-kde-kquickcontrolsaddons,
         qml6-module-org-kde-ksvg,
         qml6-module-qtquick,
         qml6-module-qtquick-controls,
         qml6-module-qtquick-layouts,
         qml6-module-qtquick-templates,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: libcanberra-pulse,
            pipewire-pulse | pulseaudio-module-gsettings,
            qml-module-gsettings1.0,
            sound-theme-freedesktop,
Description: Plasma 6 Volume controller
 Plasma applet for audio volume management using
 PulseAudio.

## plasma-pa 6.5.0

=== debian/changelog ===
plasma-pa (4:6.5.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.5.0).
  * Update build-deps and deps with the info from cmake.
  * Refresh copyright information.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 16 Oct 2025 22:00:49 +0200

=== debian/control ===
--- 
+++ 
@@ -25,7 +25,7 @@
                libkf6statusnotifieritem-dev (>= 6.18.0~),
                libkf6svg-dev (>= 6.18.0~),
                libkirigami-dev (>= 6.18.0~),
-               libplasma-dev (>= 6.4.91~),
+               libplasma-dev (>= 6.5.0~),
                libpulse-dev (>= 5.0.0~),
                libxkbcommon-dev,
                pkgconf,
@@ -36,7 +36,6 @@
 Homepage: https://invent.kde.org/plasma/plasma-pa
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/plasma-pa
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/plasma-pa.git
-Rules-Requires-Root: no
 
 Package: plasma-pa
 Architecture: any

## plasma-pa 6.5.1

=== appiumtests/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 Fushan Wen <qydwhotmail@gmail.com>
# SPDX-License-Identifier: BSD-3-Clause

if(NOT BUILD_TESTING OR NOT CMAKE_SYSTEM_NAME MATCHES "Linux")
    return()
endif()

add_test(
    NAME applettest
    COMMAND selenium-webdriver-at-spi-run ${CMAKE_CURRENT_SOURCE_DIR}/applettest.py
)
set_tests_properties(applettest PROPERTIES TIMEOUT 300)

=== debian/changelog ===
plasma-pa (4:6.5.1-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 29 Oct 2025 05:48:28 +0000

plasma-pa (4:6.5.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.0)

 -- Rik Mills <rikmills@kde.org>  Mon, 20 Oct 2025 18:39:12 +0100

=== debian/control ===
Source: plasma-pa
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
           Scarlett Moore <sgmoore@kde.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               extra-cmake-modules (>= 6.18.0~),
               gettext,
               libcanberra-dev,
               libglib2.0-dev,
               libkf6config-dev (>= 6.18.0~),
               libkf6coreaddons-dev (>= 6.18.0~),
               libkf6dbusaddons-dev (>= 6.18.0~),
               libkf6declarative-dev (>= 6.18.0~),
               libkf6doctools-dev (>= 6.18.0~),
               libkf6globalaccel-dev (>= 6.18.0~),
               libkf6i18n-dev (>= 6.18.0~),
               libkf6kcmutils-dev (>= 6.18.0~),
               libkf6pulseaudioqt-dev (>= 1.6.0~),
               libkf6statusnotifieritem-dev (>= 6.18.0~),
               libkf6svg-dev (>= 6.18.0~),
               libkirigami-dev (>= 6.18.0~),
               libplasma-dev (>= 6.5.1~),
               libpulse-dev (>= 5.0.0~),
               libxkbcommon-dev,
               pkgconf,
               qt6-base-dev (>= 6.9.0~),
               qt6-declarative-dev (>= 6.9.0~),
               qt6-declarative-private-dev (>= 6.9.0~),
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/plasma/plasma-pa
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-pa
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-pa
Rules-Requires-Root: no

Package: plasma-pa
Architecture: any
Depends: pipewire-pulse | pulseaudio,
         plasma-desktoptheme,
         qml6-module-org-kde-config (>= 6.18.0~),
         qml6-module-org-kde-coreaddons,
         qml6-module-org-kde-kcmutils (>= 6.18.0~),
         qml6-module-org-kde-kirigami (>= 6.18.0~),
         qml6-module-org-kde-kirigamiaddons-components,
         qml6-module-org-kde-kitemmodels (>= 6.18.0~),
         qml6-module-org-kde-kquickcontrolsaddons (>= 6.18.0~),
         qml6-module-org-kde-ksvg,
         qml6-module-qtquick,
         qml6-module-qtquick-controls,
         qml6-module-qtquick-layouts,
         qml6-module-qtquick-templates,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: libcanberra-pulse,
            pipewire-pulse | pulseaudio-module-gsettings,
            sound-theme-freedesktop,
Description: Plasma 6 Volume controller
 Plasma applet for audio volume management using
 PulseAudio.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

override_dh_auto_test:
	:

## plasma-pa 6.5.1+p24.04+vstable+git20251029.0736

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,10 +2,10 @@
 
 project(plasma-volume-control)
 
-set(PROJECT_VERSION "6.4.91")
+set(PROJECT_VERSION "6.5.2")
 set(PROJECT_VERSION_MAJOR 6)
 
-set(PROJECT_DEP_VERSION "6.4.91")
+set(PROJECT_DEP_VERSION "6.5.1")
 set(QT_MIN_VERSION "6.9.0")
 set(KF6_MIN_VERSION "6.18.0")
 set(KDE_COMPILERSETTINGS_LEVEL "5.82")

=== debian/changelog ===
plasma-pa (4:6.5.1+p24.04+vstable+git20251029.0736-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 29 Oct 2025 07:36:56 +0000

plasma-pa (4:6.5.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 29 Oct 2025 05:59:21 +0000

plasma-pa (4:6.5.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 06:32:06 +0000

=== debian/control ===
Source: plasma-pa
Section: kde
Priority: optional
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               kf6-kcmutils-dev,
               kf6-kcolorscheme-dev,
               kf6-kconfigwidgets-dev,
               kf6-kcoreaddons-dev,
               kf6-kdbusaddons-dev,
               kf6-kdeclarative-dev,
               kf6-kdoctools-dev,
               kf6-kglobalaccel-dev,
               kf6-ki18n-dev,
               kf6-kitemmodels-dev,
               kf6-knotifications-dev,
               kf6-kpackage-dev,
               kf6-kservice-dev,
               kf6-kstatusnotifieritem-dev,
               kf6-ksvg-dev,
               kf6-kwindowsystem-dev,
               libcanberra-dev,
               libcanberra-pulse,
               libglib2.0-dev,
               libkf6pulseaudioqt-dev,
               libplasma-dev,
               libpulse-dev,
               pkg-kde-tools-neon,
               qt6-base-dev,
               qt6-declarative-dev
Standards-Version: 4.6.2
Homepage: http://www.kde.org
Vcs-Git: https://invent.kde.org/neon/kde/plasma-pa.git
Vcs-Browser: https://invent.kde.org/neon/kde/plasma-pa
Maintainer: Neon CI <neon@kde.org>

Package: plasma-pa
Architecture: any
Depends: kf6-kdeclarative,
         kf6-kirigami-addons,
         kf6-kirigami2,
         kf6-kitemmodels,
         libcanberra-pulse,
         libplasma6,
         pipewire-pulse,
         pulseaudio | pipewire-pulse,
         pulseaudio-module-gsettings | pipewire-pulse,
         qml6-module-qtquick,
         qml6-module-qtquick-controls,
         qml6-module-qtquick-layouts,
         sound-theme-freedesktop,
         systemsettings,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Plasma 6 Volume controller
 Volume controller for Plasma 6

## plasma-pa 6.5.2

=== doc/kcontrol/plasma-pa/CMakeLists.txt ===
##### Install Plasma Pulseaudio Documentation #####
kdoctools_create_handbook(index.docbook INSTALL_DESTINATION ${KDE_INSTALL_DOCBUNDLEDIR}/en SUBDIR kcontrol/plasma-pa)

##### Install System Settings Modules Documentation #####

=== debian/changelog ===
plasma-pa (4:6.5.2-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Migrate to debian/watch version 5 syntax.
  * Add/update David Edmundson’s key in upstream keyring.
  * New upstream release (6.5.2).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 04 Nov 2025 21:34:04 +0100

plasma-pa (4:6.5.1-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.5.1).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 28 Oct 2025 23:16:19 +0100

=== debian/control ===
Source: plasma-pa
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
           Scarlett Moore <sgmoore@kde.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.18.0~),
               gettext,
               libcanberra-dev,
               libglib2.0-dev,
               libkf6config-dev (>= 6.18.0~),
               libkf6coreaddons-dev (>= 6.18.0~),
               libkf6dbusaddons-dev (>= 6.18.0~),
               libkf6declarative-dev (>= 6.18.0~),
               libkf6doctools-dev (>= 6.18.0~),
               libkf6globalaccel-dev (>= 6.18.0~),
               libkf6i18n-dev (>= 6.18.0~),
               libkf6kcmutils-dev (>= 6.18.0~),
               libkf6pulseaudioqt-dev (>= 1.6.0~),
               libkf6statusnotifieritem-dev (>= 6.18.0~),
               libkf6svg-dev (>= 6.18.0~),
               libkirigami-dev (>= 6.18.0~),
               libplasma-dev (>= 6.5.2~),
               libpulse-dev (>= 5.0.0~),
               libxkbcommon-dev,
               pkgconf,
               qt6-base-dev (>= 6.9.0~),
               qt6-declarative-dev (>= 6.9.0~),
               qt6-declarative-private-dev,
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/plasma/plasma-pa
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/plasma-pa
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/plasma-pa.git

Package: plasma-pa
Architecture: any
Depends: pipewire-pulse | pulseaudio,
         plasma-desktoptheme,
         qml6-module-org-kde-config,
         qml6-module-org-kde-coreaddons,
         qml6-module-org-kde-kcmutils,
         qml6-module-org-kde-kirigami,
         qml6-module-org-kde-kirigamiaddons-components,
         qml6-module-org-kde-kitemmodels,
         qml6-module-org-kde-kquickcontrolsaddons,
         qml6-module-org-kde-ksvg,
         qml6-module-qtquick,
         qml6-module-qtquick-controls,
         qml6-module-qtquick-layouts,
         qml6-module-qtquick-templates,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: libcanberra-pulse,
            pipewire-pulse | pulseaudio-module-gsettings,
            qml-module-gsettings1.0,
            sound-theme-freedesktop,
Description: Plasma 6 Volume controller
 Plasma applet for audio volume management using
 PulseAudio.

## plasma-pa 6.5.3

=== debian/changelog ===
plasma-pa (4:6.5.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.5.3).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 18 Nov 2025 19:25:44 +0100

=== debian/control ===
--- 
+++ 
@@ -25,7 +25,7 @@
                libkf6statusnotifieritem-dev (>= 6.18.0~),
                libkf6svg-dev (>= 6.18.0~),
                libkirigami-dev (>= 6.18.0~),
-               libplasma-dev (>= 6.5.2~),
+               libplasma-dev (>= 6.5.3~),
                libpulse-dev (>= 5.0.0~),
                libxkbcommon-dev,
                pkgconf,

## plasma-pa 6.5.3+p24.04+vunstable+git20251208.0253

=== debian/changelog ===
plasma-pa (4:6.5.3+p24.04+vunstable+git20251208.0253-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 02:53:50 +0000

plasma-pa (4:6.5.3-0neon) Noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 23 Nov 2025 09:16:09 +1000

plasma-pa (4:6.5.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 06 Nov 2025 19:15:01 +1000

## plasma-pa 6.5.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,10 +2,10 @@
 
 project(plasma-volume-control)
 
-set(PROJECT_VERSION "6.5.2")
+set(PROJECT_VERSION "6.5.4")
 set(PROJECT_VERSION_MAJOR 6)
 
-set(PROJECT_DEP_VERSION "6.5.1")
+set(PROJECT_DEP_VERSION "6.5.4")
 set(QT_MIN_VERSION "6.9.0")
 set(KF6_MIN_VERSION "6.18.0")
 set(KDE_COMPILERSETTINGS_LEVEL "5.82")

=== debian/changelog ===
plasma-pa (4:6.5.4-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.5.4).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 09 Dec 2025 20:53:06 +0100

=== debian/control ===
--- 
+++ 
@@ -25,7 +25,7 @@
                libkf6statusnotifieritem-dev (>= 6.18.0~),
                libkf6svg-dev (>= 6.18.0~),
                libkirigami-dev (>= 6.18.0~),
-               libplasma-dev (>= 6.5.3~),
+               libplasma-dev (>= 6.5.4~),
                libpulse-dev (>= 5.0.0~),
                libxkbcommon-dev,
                pkgconf,

## plasma-pa 6.5.4+p24.04+vstable+git20251231.0313

=== debian/changelog ===
plasma-pa (4:6.5.4+p24.04+vstable+git20251231.0313-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 31 Dec 2025 03:13:57 +0000

plasma-pa (4:6.5.4-0neon) Noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 09 Dec 2025 20:24:22 +1000

## plasma-pa 6.5.4+p24.04+vunstable+git20251211.0302

=== debian/changelog ===
plasma-pa (4:6.5.4+p24.04+vunstable+git20251211.0302-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 11 Dec 2025 03:02:37 +0000

## plasma-pa 6.5.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,10 +2,10 @@
 
 project(plasma-volume-control)
 
-set(PROJECT_VERSION "6.5.4")
+set(PROJECT_VERSION "6.5.5")
 set(PROJECT_VERSION_MAJOR 6)
 
-set(PROJECT_DEP_VERSION "6.5.4")
+set(PROJECT_DEP_VERSION "6.5.5")
 set(QT_MIN_VERSION "6.9.0")
 set(KF6_MIN_VERSION "6.18.0")
 set(KDE_COMPILERSETTINGS_LEVEL "5.82")

=== debian/changelog ===
plasma-pa (4:6.5.5-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 13 Jan 2026 15:07:30 +0000

plasma-pa (4:6.5.4-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 09 Dec 2025 11:20:51 +0000

plasma-pa (4:6.5.3-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 18 Nov 2025 12:09:27 +0000

plasma-pa (4:6.5.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 04 Nov 2025 17:14:10 +0000

=== debian/control ===
Source: plasma-pa
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
           Scarlett Moore <sgmoore@kde.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               extra-cmake-modules (>= 6.18.0~),
               gettext,
               libcanberra-dev,
               libglib2.0-dev,
               libkf6config-dev (>= 6.18.0~),
               libkf6coreaddons-dev (>= 6.18.0~),
               libkf6dbusaddons-dev (>= 6.18.0~),
               libkf6declarative-dev (>= 6.18.0~),
               libkf6doctools-dev (>= 6.18.0~),
               libkf6globalaccel-dev (>= 6.18.0~),
               libkf6i18n-dev (>= 6.18.0~),
               libkf6kcmutils-dev (>= 6.18.0~),
               libkf6pulseaudioqt-dev (>= 1.6.0~),
               libkf6statusnotifieritem-dev (>= 6.18.0~),
               libkf6svg-dev (>= 6.18.0~),
               libkirigami-dev (>= 6.18.0~),
               libplasma-dev (>= 6.5.5~),
               libpulse-dev (>= 5.0.0~),
               libxkbcommon-dev,
               pkgconf,
               qt6-base-dev (>= 6.9.0~),
               qt6-declarative-dev (>= 6.9.0~),
               qt6-declarative-private-dev (>= 6.9.0~),
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/plasma/plasma-pa
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-pa
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-pa
Rules-Requires-Root: no

Package: plasma-pa
Architecture: any
Depends: pipewire-pulse | pulseaudio,
         plasma-desktoptheme,
         qml6-module-org-kde-config (>= 6.18.0~),
         qml6-module-org-kde-coreaddons,
         qml6-module-org-kde-kcmutils (>= 6.18.0~),
         qml6-module-org-kde-kirigami (>= 6.18.0~),
         qml6-module-org-kde-kirigamiaddons-components,
         qml6-module-org-kde-kitemmodels (>= 6.18.0~),
         qml6-module-org-kde-kquickcontrolsaddons (>= 6.18.0~),
         qml6-module-org-kde-ksvg,
         qml6-module-qtquick,
         qml6-module-qtquick-controls,
         qml6-module-qtquick-layouts,
         qml6-module-qtquick-templates,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: libcanberra-pulse,
            pipewire-pulse | pulseaudio-module-gsettings,
            sound-theme-freedesktop,
Description: Plasma 6 Volume controller
 Plasma applet for audio volume management using
 PulseAudio.

## plasma-pa 6.5.5+p24.04+vstable+git20260130.0912

=== debian/changelog ===
plasma-pa (4:6.5.5+p24.04+vstable+git20260130.0912-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 30 Jan 2026 09:12:33 +0000

plasma-pa (4:6.5.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 14 Jan 2026 06:33:30 +1000

## plasma-pa 6.5.5+p24.04+vunstable+git20260205.0801

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,12 +2,12 @@
 
 project(plasma-volume-control)
 
-set(PROJECT_VERSION "6.5.5")
+set(PROJECT_VERSION "6.6.80")
 set(PROJECT_VERSION_MAJOR 6)
 
-set(PROJECT_DEP_VERSION "6.5.5")
-set(QT_MIN_VERSION "6.9.0")
-set(KF6_MIN_VERSION "6.18.0")
+set(PROJECT_DEP_VERSION "6.5.90")
+set(QT_MIN_VERSION "6.10.0")
+set(KF6_MIN_VERSION "6.22.0")
 set(KDE_COMPILERSETTINGS_LEVEL "5.82")
 
 set(CMAKE_CXX_STANDARD 20)
@@ -95,8 +95,8 @@
     TYPE RUNTIME
 )
 
-find_package(KItemModels CONFIG)
-set_package_properties(KItemModels PROPERTIES
+find_package(KF6ItemModels CONFIG)
+set_package_properties(KF6ItemModels PROPERTIES
     DESCRIPTION "Set of item models extending the Qt model-view framework"
     PURPOSE "Required at runtime for the KCM and applet"
     TYPE RUNTIME

=== debian/changelog ===
plasma-pa (4:6.5.5+p24.04+vunstable+git20260205.0801-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 05 Feb 2026 08:01:50 +0000

## plasma-pa 6.6.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,10 +2,10 @@
 
 project(plasma-volume-control)
 
-set(PROJECT_VERSION "6.6.80")
+set(PROJECT_VERSION "6.6.1")
 set(PROJECT_VERSION_MAJOR 6)
 
-set(PROJECT_DEP_VERSION "6.5.90")
+set(PROJECT_DEP_VERSION "6.6.1")
 set(QT_MIN_VERSION "6.10.0")
 set(KF6_MIN_VERSION "6.22.0")
 set(KDE_COMPILERSETTINGS_LEVEL "5.82")

=== debian/changelog ===
plasma-pa (4:6.6.1-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.6.0)
  * New upstream release (6.6.1)

 -- Rik Mills <rikmills@kde.org>  Sat, 28 Feb 2026 22:16:21 +0000

=== debian/control ===
Source: plasma-pa
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
           Scarlett Moore <sgmoore@kde.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               extra-cmake-modules (>= 6.22.0~),
               gettext,
               libcanberra-dev,
               libglib2.0-dev,
               libkf6config-dev (>= 6.22.0~),
               libkf6coreaddons-dev (>= 6.22.0~),
               libkf6dbusaddons-dev (>= 6.22.0~),
               libkf6declarative-dev (>= 6.22.0~),
               libkf6doctools-dev (>= 6.22.0~),
               libkf6globalaccel-dev (>= 6.22.0~),
               libkf6i18n-dev (>= 6.22.0~),
               libkf6kcmutils-dev (>= 6.22.0~),
               libkf6pulseaudioqt-dev (>= 1.6.0~),
               libkf6statusnotifieritem-dev (>= 6.22.0~),
               libkf6svg-dev (>= 6.22.0~),
               libkirigami-dev (>= 6.22.0~),
               libplasma-dev (>= 6.6.1~),
               libpulse-dev (>= 5.0.0~),
               libxkbcommon-dev,
               pkgconf,
               qt6-base-dev (>= 6.10.0~),
               qt6-declarative-dev (>= 6.10.0~),
               qt6-declarative-private-dev (>= 6.10.0~),
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/plasma/plasma-pa
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-pa
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-pa
Rules-Requires-Root: no

Package: plasma-pa
Architecture: any
Depends: pipewire-pulse | pulseaudio,
         plasma-desktoptheme,
         qml6-module-org-kde-config (>= 6.22.0~),
         qml6-module-org-kde-coreaddons,
         qml6-module-org-kde-kcmutils (>= 6.22.0~),
         qml6-module-org-kde-kirigami (>= 6.22.0~),
         qml6-module-org-kde-kirigamiaddons-components,
         qml6-module-org-kde-kitemmodels (>= 6.22.0~),
         qml6-module-org-kde-kquickcontrolsaddons (>= 6.22.0~),
         qml6-module-org-kde-ksvg,
         qml6-module-qtquick,
         qml6-module-qtquick-controls,
         qml6-module-qtquick-layouts,
         qml6-module-qtquick-templates,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: libcanberra-pulse,
            pipewire-pulse | pulseaudio-module-gsettings,
            sound-theme-freedesktop,
Description: Plasma 6 Volume controller
 Plasma applet for audio volume management using
 PulseAudio.

## plasma-pa 6.6.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,10 +2,10 @@
 
 project(plasma-volume-control)
 
-set(PROJECT_VERSION "6.6.1")
+set(PROJECT_VERSION "6.6.2")
 set(PROJECT_VERSION_MAJOR 6)
 
-set(PROJECT_DEP_VERSION "6.6.1")
+set(PROJECT_DEP_VERSION "6.6.2")
 set(QT_MIN_VERSION "6.10.0")
 set(KF6_MIN_VERSION "6.22.0")
 set(KDE_COMPILERSETTINGS_LEVEL "5.82")

=== debian/changelog ===
plasma-pa (4:6.6.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.6.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 03 Mar 2026 12:24:32 +0000

=== debian/control ===
--- 
+++ 
@@ -26,7 +26,7 @@
                libkf6statusnotifieritem-dev (>= 6.22.0~),
                libkf6svg-dev (>= 6.22.0~),
                libkirigami-dev (>= 6.22.0~),
-               libplasma-dev (>= 6.6.1~),
+               libplasma-dev (>= 6.6.2~),
                libpulse-dev (>= 5.0.0~),
                libxkbcommon-dev,
                pkgconf,
